Junio C Hamano [off-list ref] writes:
Linus Torvalds [off-list ref] writes:
quoted
My usage of "git-applymbox -u" these days always results in these bogus
warnings:
Patch is empty. Was is split wrong?
/home/torvalds/bin/git-applymbox: line 82: stop_here: command not found
but then it applies the patch anyway.
Hmm? I've not looked into it any more yet.
Sounds like two new bugs from the mailinfo series we added last
week, primarily 87ab7992 and f0658cf2.
Sheesh. Sorry, for a false patch. Here is a fix (will do this
on 'master' tonight).
diff --git a/git-applymbox.sh b/git-applymbox.sh
index 2cbdc7e..3efd6a7 100755
--- a/git-applymbox.sh
+++ b/git-applymbox.sh
@@ -77,9 +77,9 @@ do
*)
git-mailinfo $keep_subject $utf8 \
.dotest/msg .dotest/patch <$i >.dotest/info || exit 1
- test -s $dotest/patch || {
+ test -s .dotest/patch || {
echo "Patch is empty. Was is split wrong?"
- stop_here $this
+ exit 1
}
git-stripspace < .dotest/msg > .dotest/msg-clean
;;